<head>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@3.4.1/dist/css/bootstrap.min.css"
        integrity="sha384-HSMxcRTRxnN+Bdg0JdbxYKrThecOKuH5zCYotlSAcp1+c8xmyTe9GYg1l9a69psu" crossorigin="anonymous">
    <script src="https://kit.fontawesome.com/yourcode.js" crossorigin="anonymous"></script>
</head>
<div class="container">
    <h2>Registration Form</h2>

    <form #registrationForm="ngForm" (ngSubmit)="registerSubmit(registrationForm.value)" novalidate>

        <table align="center">
            <tr>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-user"></i></span>
                    <input type="text" class="form-control" placeholder="EmpName" name="empName" [(ngModel)]="empName"
                        required minlength="2" maxlength="30" />
                </div>
            </tr>
            <br />
            <tr>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-usd"></i></span>
                    <input type="text" class="form-control" placeholder="salary" name="salary" [(ngModel)]="salary"
                        required />
                </div>
            </tr>
            <br />
            <tr>
                <div class="input-group">

                    <select name="gender" placeholder="Select gender" class="form-control" 
                        [(ngModel)]="gender" required>
                        <option value="" selected>Select Gender</option>
                        <option value="Male">Male</option>
                        <option value="Female">Female</option>
                        <option value="Others">Others</option>
                    </select>

                </div>
            </tr>
            <br />
            <tr>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input type="date" class="form-control" placeholder="DateOfJoin" name="doj" [(ngModel)]="doj"
                        required />

                </div>
            </tr>
            <br />
            <tr>
                <div class="input-group">

                    <select name="country" ngModel aria-placeholder="Country" class="form-control">
                        <option value="" selected>Select Country</option>
                        <option value="{{country.cca3}}" *ngFor="let country of countries">{{country.name.common}}
                        </option>

                    </select>
                </div>
            </tr>
            <br />
            <tr>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-phone"></i></span>
                    <input type="text" placeholder=" MobileNumber" name="phoneNumber" class="form-control"
                        [(ngModel)]="phoneNumber" required pattern="^[6-9]\d{9}$" minlength="10" maxlength="10" />
                    <div *ngIf="registrationForm.controls['phoneNumber'].hasError('required') && registrationForm.controls['phoneNumber'].touched"
                        style="color: red;">Please Enter Phone Number</div>
                    <div *ngIf="registrationForm.controls['phoneNumber'].hasError('pattern') && registrationForm.controls['phoneNumber'].touched"
                        style="color: red;">Please Enter a Valid Phone Number</div>

                </div>
            </tr>
            <br />
            <tr>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-envelope"></i></span>
                    <input type="text" class="form-control" placeholder="Email" name="emailId" [(ngModel)]="emailId"
                        required pattern="[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$" minlength="2"
                        maxlength="30" />
                    <div *ngIf="registrationForm.controls['emailId'].hasError('required') && registrationForm.controls['emailId'].touched"
                        style="color: red;">Please Enter Email-Id</div>
                    <div *ngIf="registrationForm.controls['emailId'].hasError('pattern') && registrationForm.controls['emailId'].touched"
                        style="color: red;">Please Enter a Valid Email-Id</div>
                </div>
            </tr>
            <br />
            <tr>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-lock"></i></span>
                    <input type="password" class="form-control" placeholder="password" name="password"
                        [(ngModel)]="password" required
                        pattern="^(?=.[a-z])(?=.[A-Z])(?=.\d)(?=.[@$!%?&])[A-Za-z\d@$!%?&]{8,}$" minlength="8"
                        maxlength="8" />
                    <div *ngIf="registrationForm.controls['password'].hasError('required') && registrationForm.controls['password'].touched"
                        style="color: red;">Please Enter Password</div>
                </div>
                <div *ngIf="registrationForm.controls['password'].hasError('pattern') && registrationForm.controls['password'].touched"
                    style="color: red;">Please Enter a Valid Password (8 characters, 1 uppercase, 1 lowercase, 1 digit,
                    1 special character)</div>

            </tr>
            <tr>
                <br />
                <br />
                <div class="input-group">
                    <button type="submit" class="btn btn-primary form-control">Register</button>
                </div>
            </tr>
        </table>
    </form>

    <div>
        <div *ngIf="registrationForm.controls['empName'].errors?.['required'] && registrationForm.controls['empName'].touched"
            style="color: red;">Please Enter Employee Name</div>
        <div *ngIf="registrationForm.controls['salary'].errors?.['required'] && registrationForm.controls['salary'].touched"
            style="color: red;">Please Enter Salary</div>
        <div *ngIf="registrationForm.controls['gender'].errors?.['required'] && registrationForm.controls['gender'].touched"
            style="color: red;">Please Select Gender</div>
        <div *ngIf="registrationForm.controls['doj'].errors?.['required'] && registrationForm.controls['doj'].touched"
            style="color: red;">Please Enter Date of Join</div>
        <div *ngIf="registrationForm.controls['country'].errors?.['required'] && registrationForm.controls['country'].touched"
            style="color: red;">Please Select Country</div>

        <div *ngIf="registrationForm.controls['empName'].errors?.['minlength'] && registrationForm.controls['empName'].touched"
            style="color: red;">Please Enter Atleast 2 Characters for Employee Name</div>

    </div>
</div>